Skip to main content
GET
/
api
/
account
/
{stakeAddress}
/
txs
Account Txs
curl --request GET \
  --url https://nexus-dev.gerowallet.io/api/account/{stakeAddress}/txs \
  --header 'Authorization: Bearer <token>'
{
  "txHash": "<string>",
  "epochNo": 123,
  "blockHeight": 123,
  "blockTime": 123
}

Documentation Index

Fetch the complete documentation index at: https://nexus.gerowallet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

stakeAddress
string
required
Required string length: 59 - 200
Pattern: ^(stake1[a-z0-9]{53}|stake_test1[a-z0-9]{48,53})$

Query Parameters

network
enum<string>
Available options:
MAINNET,
PREPROD
from
integer<int32>
required
Required range: x >= 1

Response

Account Txs retrieved successfully

txHash
string
epochNo
integer<int32>
blockHeight
integer<int32>
blockTime
integer<int64>